glab(1)

NAME

glab-auth-login - Authenticate with a GitLab instance

SYNOPSIS

glab auth login [flags]

DESCRIPTION

Authenticate with a GitLab instance. You can pass in a token on standard input by using --stdin. The minimum required scopes for the token are: api, write_repository.

OPTIONS

-h, --hostname=""
    The hostname of the GitLab instance to authenticate with

--stdin[=false]
    Read token from standard input

-t, --token=""
    Your GitLab access token

--use-keyring[=false]
    Store token in your operating system's keyring

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    # start interactive setup
    $ glab auth login
    # authenticate against `gitlab.com` by reading the token from a file
    $ glab auth login --stdin < myaccesstoken.txt
    # authenticate with a self-hosted GitLab instance
    $ glab auth login --hostname salsa.debian.org

SEE ALSO

glab-auth(1)